package org.rcisoft.core.result;

/**
 * 响应码枚举，参考HTTP状态码的语义
 */
public enum ResultCode {

    SUCCESS(200),//成功
    FAIL(400),//失败
    UNAUTHORIZED(401),//未认证（签名错误）
    UNAUTHENTICATED(402),//未授权(权限不够)
    NOT_FOUND(404),//接口不存在
    INTERNAL_SERVER_ERROR(500),//服务器内部错误



    PARAMETER_ERROR(601),//参数错误
    DATA_EXISTS(602);//数据已存在

    public int code;

    ResultCode(int code) {
        this.code = code;
    }
}
