package org.rcisoft.core.result;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Created with family.
 * author: cy
 * Date: 18/8/30
 * Time: 下午2:54
 * description:
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum ResultSystemExceptionEnums implements ResultExceptionEnum{

    ERROR(ResultCode.INTERNAL_SERVER_ERROR.code,"系统错误"),

    FAIL(ResultCode.FAIL.code,"操作失败"),

    PARAMETER_ERROR(ResultCode.PARAMETER_ERROR.code,"参数错误"),

    DATA_EXISTS(ResultCode.DATA_EXISTS.code,"数据已存在"),

    /**
     * 系统常用  1000起
     */
    EXCEL_IMPORT_HEADER_ERROR(1001,"excel表头信息错误，导入失败"),
    ;

    private Integer code;
    private String message;
}
