package ${basePackage!}.service;

import ${basePackage!}.entity.${table.entityName};
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by ${author!} on ${.now}.
 */
public interface ${table.entityName!}Service {

    /**
    * 保存 ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    PersistModel save(${table.entityName!} ${table.entityName?uncap_first});

    /**
    * 删除 ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    PersistModel remove(${table.entityName!} ${table.entityName?uncap_first});

    /**
    * 逻辑删除 ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    PersistModel removeLogical(${table.entityName!} ${table.entityName?uncap_first});

    /**
    * 修改 ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    PersistModel merge(${table.entityName!} ${table.entityName?uncap_first});

    /**
    * 根据id查询 ${table.tableRemark!}
    * @param id
    * @return
    */
    ${table.entityName!} findById(String id);

    /**
    * 分页查询 ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    List<${table.entityName!}> findAllByPagination(PageUtil<${table.entityName!}> paginationUtility,
              ${table.entityName!} ${table.entityName?uncap_first});


    /**
    * 查询list ${table.tableRemark!}
    * @param ${table.entityName?uncap_first}
    * @return
    */
    List<${table.entityName!}> findAll(${table.entityName!} ${table.entityName?uncap_first});

}
